package javax.swing.plaf.basic;

import sun.swing.MenuItemLayoutHelper;
import javax.swing.JPopupMenu;
import java.awt.Dimension;
import java.awt.Container;
import javax.swing.plaf.UIResource;
import javax.swing.BoxLayout;

public class DefaultMenuLayout extends BoxLayout implements UIResource
{
    public DefaultMenuLayout(Container target, int axis) {
        super(target, axis);
    }
    
    @Override
    public Dimension preferredLayoutSize(Container container) {
        if ((container instanceof JPopupMenu)) {
            JPopupMenu c = (JPopupMenu)container;
            MenuItemLayoutHelper.clearUsedClientProperties(c);
            if (c.getComponentCount() == 0) {
                return new Dimension(0, 0);
            }
        }
        super.invalidateLayout(container);
        return super.preferredLayoutSize(container);
    }
}
